Get a recipient tracking preference

Returns the organization-scoped tracking opt-out for a normalized recipient email. A missing preference reads as opted in and is not created.

GET
/v1/email/tracking/recipients

Returns the organization-scoped tracking opt-out for a normalized recipient email. A missing preference reads as opted in and is not created.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

email*string
Match^[^\s@]+@[^\s@]+\.[^\s@]+$

Response Body

EmailRecipientTrackingPreference

application/json
  1. response
email*TrackingRecipientEmail
Match^[^\s@]+@[^\s@]+\.[^\s@]+$
optedOut*boolean
trackingOptedOutAt*string|null
createdAt*string|null
updatedAt*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.getRecipientTrackingPreference({  "email": "example"});
Example Response
{  "email": "string",  "optedOut": true,  "trackingOptedOutAt": "string",  "createdAt": "string",  "updatedAt": "string"}

Related documentation